%define major		6000
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Shell command to back up directory trees and files
Name:		dar
Version:	2.7.16
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://dar.linux.free.fr/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	bzip2
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	acl-devel
BuildRequires:	gettext-devel
BuildRequires:	rsync-devel
BuildRequires:	groff
BuildRequires:	doxygen

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n 	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{libname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n	%{develname}
Group:		Development/Other
Summary:	Development headers for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%prep
%autosetup -p1

%build
%configure \
	--enable-mode=64 \
	--disable-dar-static \
	--disable-static \
	--disable-upx
%make_build

%install
%make_install

# fix-up docs
install -m 644 doc/samples/README README.samples

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc README.samples doc/samples/cdbackup.sh doc/samples/darrc_sample doc/samples/sample1.txt
%doc doc/mini-howto/dar-differential-backup-mini-howto.*.html
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}rc

%files -n %{libname}
%{_libdir}/libdar*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/libdar*.so
%{_libdir}/pkgconfig/lib%{name}*.pc


%changelog
* Sat Jan 25 2025 daviddavid <daviddavid> 2.7.16-1.mga10
+ Revision: 2142141
- new version: 2.7.16

* Mon Aug 01 2022 bcornec <bcornec> 2.7.6-1.mga9
+ Revision: 1874183
- Update dar to upstream 2.7.6

* Mon Apr 04 2022 umeabot <umeabot> 2.7.2-2.mga9
+ Revision: 1843810
- Mageia 9 Mass Rebuild

* Tue Oct 26 2021 wally <wally> 2.7.2-1.mga9
+ Revision: 1752959
- BR curl and fix linking
- let post %%install scriptlet handle .la file removal
- drop old obsoletes
+ bcornec <bcornec>
- Try to fix usage of configure macro
- Update to upstream dar 2.7.2

* Mon Aug 24 2020 bcornec <bcornec> 2.6.10-1.mga8
+ Revision: 1618391
- Update to upstream dar 2.6.10

* Sat Feb 15 2020 umeabot <umeabot> 2.6.3-2.mga8
+ Revision: 1525116
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Apr 02 2019 bcornec <bcornec> 2.6.3-1.mga7
+ Revision: 1385130
- update to upstream dar 2.6.3

* Wed Jan 02 2019 bcornec <bcornec> 2.5.18-1.mga7
+ Revision: 1348488
- Update to upstream dar 2.5.18

* Tue Oct 16 2018 bcornec <bcornec> 2.5.17-1.mga7
+ Revision: 1320690
- Fix pkgconfig deps for dar
- update to upstream dar 2.5.17

* Sun Sep 23 2018 umeabot <umeabot> 2.4.22-2.mga7
+ Revision: 1297400
- Mageia 7 Mass Rebuild
+ bcornec <bcornec>
- Update dar to upstream 2.4.22

* Mon May 23 2016 bcornec <bcornec> 2.4.21-2.mga6
+ Revision: 1017918
- Update to upstream dar 2.4.21
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 bcornec <bcornec> 2.4.20-1.mga6
+ Revision: 905021
- Update to upstream 2.4.20

* Thu Oct 08 2015 bcornec <bcornec> 2.4.19-1.mga6
+ Revision: 887962
- Update dar to upstream 2.4.19

* Thu Sep 10 2015 ovitters <ovitters> 2.4.17-1.mga6
+ Revision: 875907
+ rebuild (emptylog)

* Sun Feb 01 2015 bcornec <bcornec> 2.4.17-1.mga5
+ Revision: 813066
- Update to upstream dar 2.4.17

* Sat Jan 24 2015 bcornec <bcornec> 2.4.16-1.mga5
+ Revision: 812144
- Update to upstream 2.4.16

* Wed Oct 15 2014 umeabot <umeabot> 2.4.15-4.mga5
+ Revision: 744060
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.15-3.mga5
+ Revision: 693725
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.15-2.mga5
+ Revision: 678670
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 bcornec <bcornec> 2.4.15-1.mga5
+ Revision: 673044
- Update to upstream dar 2.4.15

* Wed Jul 02 2014 bcornec <bcornec> 2.4.14-1.mga5
+ Revision: 642203
- Update to upstream dar 2.4.14

* Mon Apr 28 2014 bcornec <bcornec> 2.4.13-1.mga5
+ Revision: 618611
- Update dar to upstream 2.4.13

* Wed Jan 22 2014 bcornec <bcornec> 2.4.11-1.mga5
+ Revision: 567446
- Updated dar to 2.4.11

* Sat Oct 19 2013 umeabot <umeabot> 2.4.10-3.mga4
+ Revision: 528293
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 wally <wally> 2.4.10-2.mga4
+ Revision: 444100
- fix libmajor

* Mon Jun 17 2013 wally <wally> 2.4.10-1.mga4
+ Revision: 444074
- new version 2.4.10
- disable static build
- update BuildRequires to build missing options (mga#10542)
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.4.2-3.mga3
+ Revision: 348608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 2.4.2-2.mga3
+ Revision: 335023
- add patch to fix build with gcc 4.7
- clean .spec a bit

* Sun Oct 09 2011 bcornec <bcornec> 2.4.2-1.mga2
+ Revision: 153387
- Adds sha1 file
- Working dar package for Mageia
- Adds a first version of dar.spec from Mandriva
- Created package structure for dar.

